[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: illegal to link against python 2.x?

Timo Blazko Boewing wrote:

> On the glimmer website (glimmer.sourceforge.net) I read that it requires
> Python. However, the author states that it is "illegal" to link against
> versions 2.0 and 2.1. Is python not GPL comliant? And if, how could it
> be changed if versions <2.x where? I cannot find any license hints on
> python.org, so what is it licensed to?

IIRC, Python 2.0 and 2.1 had licenses that the FSF considered to be
incompatible with the GPL. 2.0.1 and 2.1.1 are "license-fix" releases
that resolve those issues.

As for "how could it be changed"... the copyright owner can change the
license for a new version if they like. The copyright owner is not bound
by the GPL; the GPL defines how everyone else can use the software.


Reply to: